enter_password_scroll_scene01 = {}

enter_password_scroll_scene01.params = 
{
	init_numbers = {1, 2, 3},
	password = {2, 6, 5},
	horizontal = false,
	states = 10,
	move_time = 200,
		
	--звуки
	sound_on_click = "mini_game_enter_password_scroll_01"
}

enter_password_scroll_scene07_02 = {}

enter_password_scroll_scene07_02.params = 
{
	init_numbers = {0, 0, 0, 0},
	password = {2, 6, 1, 1},
	horizontal = false,
	states = 10,
	move_time = 200,
			
	--звуки
	sound_on_click = "mini_game_enter_password_scroll_01"
}

enter_password_scroll_scene13 = {}

enter_password_scroll_scene13.params = 
{
	init_numbers = {0, 0, 0, 0},
	password = {9, 4, 6, 8},
	horizontal = false,
	states = 10,
	move_time = 200,
			
	--звуки
	sound_on_click = "mini_game_enter_password_scroll_01"
}

enter_password_scroll_scene01.Init = function(_owner)
	enter_password_scroll.params = enter_password_scroll_scene01.params
	enter_password_scroll.Init(_owner)
end

enter_password_scroll_scene07_02.Init = function(_owner)
	enter_password_scroll.params = enter_password_scroll_scene07_02.params
	enter_password_scroll.Init(_owner)
end

enter_password_scroll_scene13.Init = function(_owner)
	enter_password_scroll.params = enter_password_scroll_scene13.params
	enter_password_scroll.Init(_owner)
end

for p,v in pairs(enter_password_scroll) do
	if not enter_password_scroll_scene01[p] then enter_password_scroll_scene01[p] = v end
	if not enter_password_scroll_scene07_02[p] then enter_password_scroll_scene07_02[p] = v end
	if not enter_password_scroll_scene13[p] then enter_password_scroll_scene13[p] = v end
end